<?php
//programme libre et dont des éléments sont tirés du programme observation.php de Gérard Delafond.
$g=0;
$Usermed="/home/user/Desktop/applis_dev_medintux/medintux/MedinTuxDist-V-2.00"; //vous mettrez la le chemin qui amène à votre répertoire Medintux.
$titredoc = "DOCEXTERNES";// vous pouvez changer ce titre par celui de votre choix, à condition qu'il soit en un seul mot.
$usermedintux="votreusermedintux";//vous mettez là le nom de votre utilisateur medintux.
do
{
//je me connecte à mysql puis à la base  :
$connexion = mysql_connect("localhost", "root","") or die ("connexion mysql impossible");
$base = mysql_select_db("DrTuxTest", $connexion) or die ("selection de la base de donnee impossible");
//je lance la boucle externe qui est le programme à répéter tant qu'il y a des fichiers dans le répertoire

$i=0;
$j=0;
//$g=1;
//je lance la boucle de découverte du premier fichier resutext$j.text existant dans le répertoire (ils y ont été exportés pas apicrypt).
do 
	{
	$j++;
	$testdos="$Usermed/QLaboFTP/bin/Temp/resutext$j.txt";
	$b=file_exists($testdos);
	$a=$j+1;
	$testdosplus="$Usermed/QLaboFTP/bin/Temp/resutext$a.txt";
	$c=file_exists($testdosplus);
	}
while ($b==false);//voila une condition pour dire que ce premier fichier existe alors que les virtuels d'avant n'existent pas.
$k=$testdos;//je récupère le numéro du premier fichier.
echo $testdos;
$l=$testdosplus;
//j'ouvre et récupère en ressource et en tableau ce fichier.
//$fichier = fopen ($testdos , "r");
$page = file ($testdos);
$pagetab = file_get_contents ($testdos);
//je trouve le nom et le prénom du patient qui sont en première ou deuxième position et le prénom est à la ligne qui suit le nom.
	do //IL FAUT TROUVER LE NOM ET FAIRE LA REQUETE ENSUITE
	{
	$i++;
	$req = "SELECT FchGnrl_NomDos FROM IndexNomPrenom WHERE FchGnrl_NomDos = '$pagetab[$i]'";
	$resreq = mysql_query($req,$connexion);
	$nombre = mysql_num_rows($resreq);
	$apinom = $page[$i];
	$apiprenom = $page[$i+1];
	}
	while ($nombre != 0 && $nombre < 5);
//je récupère ces valeurs sans les fins de lignes (j'mis longtemps à trouver ca ...) :
$apinomnew=rtrim($apinom);
$apiprenomnew=rtrim($apiprenom);

//je lance les requête pour retrouver le guid puis intègre le document resutext$j.text dans le blob.		
$reqguid = "SELECT FchGnrl_IDDos FROM DrTuxTest.IndexNomPrenom WHERE FchGnrl_NomDos='$apinomnew' AND FchGnrl_Prenom='$apiprenomnew' ";
$resultguid = mysql_query($reqguid,$connexion) or die ("exécution de la requête impossible e");
$nbresultguid = mysql_num_rows($resultguid);
echo $nbresultguid;
$Guid = mysql_fetch_array($resultguid);
$Guid= $Guid['FchGnrl_IDDos'];
//avorté si erreur de nom (s'il n'existent pas dans la base).
if($nombrepat= mysql_num_rows($resultguid)==0)
{
echo "erreur de nom et ou prenom , veuillez vérifier le dernier fichier et le corriger";
mysql_close($connexion);
die("erreur doublon ou absence de nom");
}

if($nombrepat= mysql_num_rows($resultguid)>1)
{
echo "attention il y a deux patients du même prénom, veuillez corriger cela ";
echo "il y a '$nombrepat' autre patient du même nom ";
mysql_close($connexion);
die("erreur doublon");
}
$pagetab = ereg_replace("\n","<br />",$pagetab);//on remplace les fins de ligne texte en fin de ligne html.
$format="INSERT INTO RubriquesBlobs (RbDate_DataRub,RbDate_IDDos) VALUES ('%s','$Guid')";
$pageblob = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" standalone=\"yes\" ?><MedinTux_Multimedia_data><HTML_Data><html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\"font-size:10pt;font-family:Arial\"><p>$pagetab</p></body></html></HTML_Data><ImageListe></ImageListe></MedinTux_Multimedia_data>";
$reqinserblob = sprintf($format,mysql_real_escape_string($pageblob));
$resultinserblob = mysql_query($reqinserblob,$connexion);

//je récupère l'ID de la table blob pour forcer la table head à avoir le même :

$id_head = mysql_insert_id();

//j'insère les données dans la table head :

//recuperation de la date 
	$date_jour=date('d');
	$date_mois=date('m');
	$date_annee=date('Y');
	$heure=date("H:i:s");
	$date_doc=$date_annee."-".$date_mois."-".$date_jour." ".$heure_observation;
$reqinserhead = "INSERT INTO RubriquesHead (RbDate_PrimKey,RbDate_IDDos,RbDate_TypeRub,RbDate_NomDate,RbDate_Date,RbDate_CreateUser,RbDate_CreateSignUser,RbDate_Ref_NumDoss,RbDate_RefBlobs_Primkey) VALUES ('$id_head','$Guid',20080000,'$titredoc','$date_doc','$usermedintux','$usermedintux','0','$id_head')";
$resultinserhead = mysql_query($reqinserhead,$connexion);
printf("Ligne ajoutee : %d\n", mysql_affected_rows());//je vérifie qu'il y a bien une ligne ajoutée.

//je vérifie que j'ai bien le nom et le prénom récupéré.
echo ($apinomnew);
echo ($apiprenomnew);
echo ($Guid);

mysql_close($connexion);
unlink ($testdos);//j'efface le fichier resutext d'apicrypt utilisé pour rechercher le suivant à la prochaine boucle.
$g++;

}
while ($c!=false && $g < 30);//j'applique le garde-fou de mon ami Thibaut Cousin .*/

?>
